Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class CookieConfigTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.CookieConfigTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, CookieConfigType<T>

    public class CookieConfigTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, CookieConfigType<T>

This class implements the `cookie-configType` xsd type

Original Documentation:

The cookie-configType defines the configuration for the
session tracking cookies of this web application.
Used in: session-config

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`CookieConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`CookieConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getComment()` Returns the `comment` element
`java.lang.String` | `getDomain()` Returns the `domain` element
`java.lang.Integer` | `getMaxAge()` Returns the `max-age` element
`java.lang.String` | `getName()` Returns the `name` element
`java.lang.String` | `getPath()` Returns the `path` element
`java.lang.Boolean` | `isHttpOnly()` Returns the `http-only` element
`java.lang.Boolean` | `isSecure()` Returns the `secure` element
`CookieConfigType<T>` | `removeComment()` Removes the `comment` element
`CookieConfigType<T>` | `removeDomain()` Removes the `domain` element
`CookieConfigType<T>` | `removeHttpOnly()` Removes the `http-only` element
`CookieConfigType<T>` | `removeMaxAge()` Removes the `max-age` element
`CookieConfigType<T>` | `removeName()` Removes the `name` element
`CookieConfigType<T>` | `removePath()` Removes the `path` element
`CookieConfigType<T>` | `removeSecure()` Removes the `secure` element
`CookieConfigType<T>` | `setComment(java.lang.String comment)` If not already created, a new `comment` element with the given value will be created.
`CookieConfigType<T>` | `setDomain(java.lang.String domain)` If not already created, a new `domain` element with the given value will be created.
`CookieConfigType<T>` | `setHttpOnly(java.lang.Boolean httpOnly)` If not already created, a new `http-only` element with the given value will be created.
`CookieConfigType<T>` | `setMaxAge(java.lang.Integer maxAge)` If not already created, a new `max-age` element with the given value will be created.
`CookieConfigType<T>` | `setName(java.lang.String name)` If not already created, a new `name` element with the given value will be created.
`CookieConfigType<T>` | `setPath(java.lang.String path)` If not already created, a new `path` element with the given value will be created.
`CookieConfigType<T>` | `setSecure(java.lang.Boolean secure)` If not already created, a new `secure` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieConfigTypeImpl

    public CookieConfigTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node)

### CookieConfigTypeImpl

    public CookieConfigTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node,
                                org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setName

    public CookieConfigType<T> setName(java.lang.String name)

  If not already created, a new `name` element with the given value will be created. Otherwise, the existing `name` element will be updated with the given value.

  Specified by:
    `setName` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### removeName

    public CookieConfigType<T> removeName()

  Removes the `name` element

  Specified by:
    `removeName` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### getName

    public java.lang.String getName()

  Returns the `name` element

  Specified by:
    `getName` in interface `CookieConfigType<T>`
  Returns:
    the node defined for the element `name`

### setDomain

    public CookieConfigType<T> setDomain(java.lang.String domain)

  If not already created, a new `domain` element with the given value will be created. Otherwise, the existing `domain` element will be updated with the given value.

  Specified by:
    `setDomain` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### removeDomain

    public CookieConfigType<T> removeDomain()

  Removes the `domain` element

  Specified by:
    `removeDomain` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### getDomain

    public java.lang.String getDomain()

  Returns the `domain` element

  Specified by:
    `getDomain` in interface `CookieConfigType<T>`
  Returns:
    the node defined for the element `domain`

### setPath

    public CookieConfigType<T> setPath(java.lang.String path)

  If not already created, a new `path` element with the given value will be created. Otherwise, the existing `path` element will be updated with the given value.

  Specified by:
    `setPath` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### removePath

    public CookieConfigType<T> removePath()

  Removes the `path` element

  Specified by:
    `removePath` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### getPath

    public java.lang.String getPath()

  Returns the `path` element

  Specified by:
    `getPath` in interface `CookieConfigType<T>`
  Returns:
    the node defined for the element `path`

### setComment

    public CookieConfigType<T> setComment(java.lang.String comment)

  If not already created, a new `comment` element with the given value will be created. Otherwise, the existing `comment` element will be updated with the given value.

  Specified by:
    `setComment` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### removeComment

    public CookieConfigType<T> removeComment()

  Removes the `comment` element

  Specified by:
    `removeComment` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### getComment

    public java.lang.String getComment()

  Returns the `comment` element

  Specified by:
    `getComment` in interface `CookieConfigType<T>`
  Returns:
    the node defined for the element `comment`

### setHttpOnly

    public CookieConfigType<T> setHttpOnly(java.lang.Boolean httpOnly)

  If not already created, a new `http-only` element with the given value will be created. Otherwise, the existing `http-only` element will be updated with the given value.

  Specified by:
    `setHttpOnly` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### removeHttpOnly

    public CookieConfigType<T> removeHttpOnly()

  Removes the `http-only` element

  Specified by:
    `removeHttpOnly` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### isHttpOnly

    public java.lang.Boolean isHttpOnly()

  Returns the `http-only` element

  Specified by:
    `isHttpOnly` in interface `CookieConfigType<T>`
  Returns:
    the node defined for the element `http-only`

### setSecure

    public CookieConfigType<T> setSecure(java.lang.Boolean secure)

  If not already created, a new `secure` element with the given value will be created. Otherwise, the existing `secure` element will be updated with the given value.

  Specified by:
    `setSecure` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### removeSecure

    public CookieConfigType<T> removeSecure()

  Removes the `secure` element

  Specified by:
    `removeSecure` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### isSecure

    public java.lang.Boolean isSecure()

  Returns the `secure` element

  Specified by:
    `isSecure` in interface `CookieConfigType<T>`
  Returns:
    the node defined for the element `secure`

### setMaxAge

    public CookieConfigType<T> setMaxAge(java.lang.Integer maxAge)

  If not already created, a new `max-age` element with the given value will be created. Otherwise, the existing `max-age` element will be updated with the given value.

  Specified by:
    `setMaxAge` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### removeMaxAge

    public CookieConfigType<T> removeMaxAge()

  Removes the `max-age` element

  Specified by:
    `removeMaxAge` in interface `CookieConfigType<T>`
  Returns:
    the current instance of `CookieConfigType`

### getMaxAge

    public java.lang.Integer getMaxAge()

  Returns the `max-age` element

  Specified by:
    `getMaxAge` in interface `CookieConfigType<T>`
  Returns:
    the node defined for the element `max-age`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD